ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
table_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| drop ($Table)
| add_column ($Table, $ColumnName, $Type, $Mode= 'NOT NULL AFTER`id`')
| drop_column ($Table, $ColumnName)

## Detailed Description

Class providees routine for database manipulation.

Author
  Dodonov A.A.

Definition at line 26 of file table.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 42 of file table.php.

{
try
{
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

add_column | ( |  | $Table,
|  |  | $ColumnName,
|  |  | $Type,
|  |  | $Mode = `'NOT NULL AFTER `id`'`
| ) |  |

Function inserts column in table.

Parameters

  $Table | - Name of the editig table (new column will be inserted).
  $ColumnName | - Name of the inserting column.
  $Type | - Тype of the column.
  $Mode | - Column insertion mode.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 115 of file table.php.

{
try
{
$this->QueryCounter++;
$DBO = $this->get_object();
$DBO->add_column( $Table , $ColumnName , $Type , $Mode = 'NOT NULL AFTER `id`' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

drop | ( |  | $Table | ) |

Executes delete table query.

Parameters

  $Table | - Deleted table.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 71 of file table.php.

{
try
{
$this->QueryCounter++;
$DBO = $this->get_object();
$DBO->drop( $Table );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

drop_column | ( |  | $Table,
|  |  | $ColumnName
| ) |  |

Function deletes column from table.

Parameters

  $Table | - Name of the editig table (column will be deleted).
  $ColumnName | - Name of the deleting column.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 151 of file table.php.

{
try
{
$this->QueryCounter++;
$DBO = $this->get_object();
$DBO->drop_column( $Table , $ColumnName );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

The documentation for this class was generated from the following file:

- packages/database/packages/table/table.php